import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis

// 获取充值记录
export const getRechargeList = async function(year) {
  return await GET(`/wx/getRechargeList?year=${year}`);
}

// 预备充值请求
export const requestRecharge = async function(data) {
  return await POST(`/wx/requestRecharge`, data);
}

// 获取充值记录详情
export const getRechargeDetail = async function(rid) {
  return await GET(`/wx/getRechargeDetail/${rid}`);
}

// 退费
export const returnFee = async function(data) {
  return await POST(`/wx/return`, data);
}